%define name nqc
%define version 2.1r1
%define release 3mdk

Summary:		A simple C-like language for Lego's RCX programmable brick
Name:			%{name}
Version:		%{version}
Release:		%{release}
Copyright:		MPL
Group:			Development/C
Source:			%{name}-%{version}.tar.bz2
URL:			http://www.enteract.com/~dbaum/nqc/
Prefix:			/usr
Packager:		Matthew Miller <mattdm@mattdm.org>
BuildRoot:		/var/tmp/%{name}-buildroot

%description
Not Quite C is a simple language with a C-like syntax that can be used to
program Lego's RCX programmable brick. It can be thought of as an
intermediate step between the Win32 GUI that ships with Mindstorms and
pbForth or LegOS. It's far more powerful than the former, but doesn't give
quite the same raw level of control you'd get by using a replacement
firmware. NQC runs on Linux, MacOS, and MS Win32 -- and of course, the
source is available if you want to try it elsewhere.

%prep
%setup -n nqc-2.1r1

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1

install -s -m 755 bin/nqc $RPM_BUILD_ROOT/usr/bin/nqc
install -m 644 nqc-man-2.1r1-0.man $RPM_BUILD_ROOT/usr/man/man1/nqc.1

install -m 755 -d $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/compiler
install -m 644 doc/* $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 644 {LICENSE,readme.txt,scout.txt} $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 644 test.nqc $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 644 doc/{NQC_Guide.html,NQC_Manual.html} $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 644 doc/{NQC_New.html,NQC_Ref.html} $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/
install -m 644 compiler/rcx2.nqh $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/

%clean
rm -rf ../%{name}-%{version}
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
/usr/doc/%{name}-%{version}/NQC_Guide.html
/usr/doc/%{name}-%{version}/NQC_Manual.html
/usr/doc/%{name}-%{version}/NQC_New.html
/usr/doc/%{name}-%{version}/NQC_Ref.html
/usr/doc/%{name}-%{version}/LICENSE
/usr/doc/%{name}-%{version}/rcx2.nqh
/usr/doc/%{name}-%{version}/readme.txt
/usr/doc/%{name}-%{version}/scout.txt
/usr/doc/%{name}-%{version}/test.nqc
/usr/man/man1/nqc.1* 
/usr/bin/*

%changelog
* Wed May 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.1r1-3mdk
- fix group
- fix permission on sources 

* Tue Feb 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.1r1-1mdk
- v2.1.r1
- merge with the doc package

* Fri Feb 04 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- fix install part 
